// GLOB_HDRFTR_HTM.FMT
//	Report format include file. Has main HTML report HEADER and FOOTER
//	procedures. Called by all HTML reports.

//	RMG 11Feb10

// Main HTML report HEADER procedure
procedure header
{
	format("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n");
	format("<html>\n\t<head>\n\t\t<title>SmartCAM HTML Job Report</title>\n");
	format("\t\t<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n");
	format("\t\t<link href=\"./reports_scrn_tlgr.css\" media=\"screen\" rel=\"stylesheet\" type=\"text/css\">\n");
	format("\t\t<link href=\"./reports_prnt_tlgr.css\" media=\"print\" rel=\"stylesheet\" type=\"text/css\">\n");
	format("\t</head>\n\t<body>\n");

	//	now output the web report banner table
	format("\t\t<table class=\"banner\">\n");
	format("\t\t\t<tr class=\"banner\">\n");
	format("\t\t\t\t<td class=\"banner\" width=\"250\"><img src=\"./SmartCAMcnc.png\" /></td>\n");
	format("\t\t\t\t<th class=\"banner\" colspan=5>");
	format("<h1>SmartCAM HTML Report</h1></th>\n\t\t\t</tr>\n");

	format("\t\t\t<tr class=\"banner2\">\n");
	format("\t\t\t\t<th class=\"banner2\">Output File:</th>\n");
	format("\t\t\t\t<td class=\"banner2\">%s</td>\n", rptfile());
	format("\t\t\t\t<th class=\"banner2\">Print Date:</th>\n");
	format("\t\t\t\t<td class=\"banner2\">%d/%d/%d</td>\n", month(), day(), year());
	format("\t\t\t\t<th class=\"banner2\">Print Time:</th>\n");
	format("\t\t\t\t<td class=\"banner2\">");
	call(timemap);
	format("</font></td>\n");
	format("\t\t\t</tr>\n\t\t</table>\n");

	// end of common html report banner
}

//	Main HTML report Footer procedure
procedure footer
{
	//	output the HTML report closing footer table
	format("\t\t<table class=\"footer\">\n");
	format("\t\t\t<tr class=\"footer\">\n");
	format("\t\t\t\t<td class=\"footer\"><center>&copy; %d SmartCAMcnc. All Rights Reserved.</center></td>\n", year());
	format("\t\t\t</tr>\n\t\t</table>\n");
	format("\t</body>\n</html>\n");
}

